This endpoint retrieves a paginated list of work locations available within the specified organisation.
GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/work_locationsPath Parameters
organisation_iduuidrequired
The ID of the organisation to retrieve
Query Parameters
page_indexnumber
Current page index
Default
1Min
1item_per_pagenumber
Number of items per page
Default
20Max
100Response Body
A hash with a data property that contains an array of work location objects and pagination information. Each work location object includes the unique identifier, name, and country code of the location.
dataobject
itemsobject[]
iduuid
Unique identifier for the work location.
namestring
Name of the work location.
countrystring
Country code for the work location (ISO-3166 alpha-2 format, e.g., AU, SG).
page_indexnumber
Current page index
Default
1Min
1item_per_pagenumber
Number of items per page
Default
20Max
100total_itemsnumber
Total items
total_pagesnumber
Total pages
Example
curl -X GET \ "https://api.employmenthero.com/api/v1/organisations/:organisation_id/work_locations" \ -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"Response
{ "data": { "items": [ { "id": "b992fc49-7e98-4743-b53b-51bec9cf4dc3", "name": "Sydney Office", "country": "AU" } ], "page_index": 1, "item_per_page": 20, "total_items": 1, "total_pages": 1 }}